Bug 1418292

Summary: Importing Puppet modules failed upgrade 6.1.9 -> 6.2.7
Product: Red Hat Satellite Reporter: ccc <cor.saelmans>
Component: UpgradesAssignee: satellite6-bugs <satellite6-bugs>
Status: CLOSED WONTFIX QA Contact: Katello QA List <katello-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.2.7CC: bbuckingham, bkearney, cor.saelmans, inecas, mbacovsk
Target Milestone: Unspecified   
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-14 18:51:50 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1410795    
Attachments:
Description Flags
foreman-debug-QDRHk.tar none

Description ccc 2017-02-01 13:43:36 UTC
Description of problem:

When upgrading Satellite 6.1.9 to 6.2.7 I get the next error:
[ERROR 2017-02-01 10:28:13 main] Upgrade step import_puppet_modules failed. Check logs for more information.
[DEBUG 2017-02-01 10:28:13 main] Exit with status code: 1 (signal was 1)
[ERROR 2017-02-01 10:28:13 main] Errors encountered during run:
[ERROR 2017-02-01 10:28:13 main] rake aborted!
RestClient::ResourceNotFound: 404 Resource Not Found
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/abstract_response.rb:48:in `return!'
/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-1.7.0/lib/runcible/base.rb:79:in `block in get_response'
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:228:in `process_result'
/opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/restclient_ext/request.rb:50:in `block in transmit'
/opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/restclient_ext/request.rb:44:in `transmit'
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:64:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/request.rb:33:in `execute'
/opt/theforeman/tfm/root/usr/share/gems/gems/rest-client-1.6.7/lib/restclient/resource.rb:67:in `post'
/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-1.7.0/lib/runcible/base.rb:78:in `get_response'
/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-1.7.0/lib/runcible/base.rb:66:in `call'
/opt/theforeman/tfm/root/usr/share/gems/gems/runcible-1.7.0/lib/runcible/resources/repository.rb:138:in `unit_search'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.95/app/services/katello/pulp/pulp_content_unit.rb:63:in `ids_for_repository'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.95/app/models/katello/content_view_puppet_environment.rb:99:in `block in import_all'
/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/batches.rb:52:in `block (2 levels) in find_each'
/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/batches.rb:52:in `each'
/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/batches.rb:52:in `block in find_each'
/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/batches.rb:125:in `find_in_batches'
/opt/rh/rh-ror41/root/usr/share/gems/gems/activerecord-4.1.5/lib/active_record/relation/batches.rb:51:in `find_each'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.95/app/models/katello/content_view_puppet_environment.rb:98:in `import_all'
/opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.95/lib/katello/tasks/upgrades/2.4/import_puppet_modules.rake:9:in `block (4 levels) in <top (required)>'
Tasks: TOP => katello:upgrades:2.4:import_puppet_modules
(See full trace by running task with --trace)

When executing separately foreman-rake -v katello:upgrades:2.4:import_puppet_modules I got the same.


Version-Release number of selected component (if applicable):
6.1.9
6.2.7


How reproducible:

satellite-installer --scenario satellite --upgrade --

foreman-rake -v --backtrace katello:upgrades:2.4:import_puppet_modules


Steps to Reproduce:
1. satellite-installer --scenario satellite --upgrade --
2.
3.

Actual results:

See above error

Expected results:

Succesfully importing puppet modules


Additional info:

Comment 1 Brad Buckingham 2017-02-03 17:01:22 UTC
Hello, would it be possible to attach the foreman-debug that captures the upgrade details?  

Also, if possible, it is recommended to always upgrade the Satellite to the latest version before going the next release.  Currently, that would mean starting from 6.1.11.

Comment 2 ccc 2017-02-07 13:47:18 UTC
Created attachment 1248397 [details]
foreman-debug-QDRHk.tar

Comment 3 ccc 2017-02-07 13:48:10 UTC
Hi Brad,

Please see attached foreman-debug.

I will upgrade to 6.1.11 and test again. I'll report back asap.

Comment 4 ccc 2017-02-07 14:32:11 UTC
As the upgrade failed it partially upgraded. So my login screen already shows 6.2.7.
It seems not to be possible to upgrade to 6.1.11 anymore.

Comment 5 Bryan Kearney 2017-08-14 18:51:50 UTC
Older bug with a closed custeomr case. i am closing this out. If you have additional information, please feel free to re-open with this data.